
const TerserPlugin = require('terser-webpack-plugin')
const OptimizeCSSAssetsPlugin = require('optimize-css-assets-webpack-plugin')

module.exports = isEnvDevelopment => ({
  minimize: !isEnvDevelopment,
  minimizer: [
    new TerserPlugin({
      terserOptions: {
        parse: {
          ecma: 8,
        },
        compress: {
          drop_console: true,
        },
        mangle: {
          safari10: true,
        },
      },
      cache: true,
      parallel: true,
    }),
    new OptimizeCSSAssetsPlugin(),
  ],
})
