
import Vue from 'vue'
import iview from 'iview'

export default function deleteCategory (payload = {}) {
  return new Promise((resolve, reject) => {
    const { id, name } = payload
    iview.Modal.confirm({
      title: '删除分类',
      content: `确定要删除"${name}"分类吗？`,
      onOk: async () => {
        try {
          await Vue.http.delete(`/product/category?id=${id}`)
          iview.Message.success('删除成功')
          resolve('remove')
        } catch (e) {
          reject(e)
        }
      },
      onCancel: (e) => {
        reject(e)
      },
    })
  })
}
