
import Vue from 'vue'

export default function getCategories (payload) {
  return new Promise(async resolve => {
    try {
      const { data } = await Vue.http.get('/product/category', {
        params: {
          parent_id: payload.parent_id,
          per_page: 1000,
          is_open: 1,
        },
      })
      const list = data.map(category => {
        return { value: category.id, label: category.name }
      })
      resolve(list)
    } catch {
      resolve([])
    }
  })
}
