
const routes = [
  {
    name: 'sign',
    path: '/sign',
    component: () => import(/* webpackChunkName: 'sign' */ '@/components/Sign'),
  },
  {
    name: 'root',
    path: '/',
    component: () => import(/* webpackChunkName: 'layout' */ '@/components/Layout'),
    children: [
      {
        name: 'product',
        path: '/product/*',
        component: () => import(/* webpackChunkName: 'product' */ '@/components/product'),
        props: route => ({ query: route.query }),
      },
      {
        name: 'category',
        path: '/category/*',
        component: () => import(/* webpackChunkName: 'category' */ '@/components/category'),
        props: route => ({ query: route.query }),
      },
      {
        name: 'attribute',
        path: '/attribute/*',
        component: () => import(/* webpackChunkName: 'attribute' */ '@/components/attribute'),
        props: route => ({ query: route.query }),
      },
      {
        name: 'comment',
        path: '/comment/*',
        component: () => import(/* webpackChunkName: 'comment' */ '@/components/comment'),
        props: route => ({ query: route.query }),
      },
      {
        name: 'trash',
        path: '/trash/*',
        component: () => import(/* webpackChunkName: 'trash' */ '@/components/trash'),
        props: route => ({ query: route.query }),
      },
    ],
  },
]

export default routes
