
import Vue from 'vue'

export default {
  namespaced: true,
  state: {
    filters: {
      id: {
        keyword: 'id',
        type: 'input',
        label: 'ID',
      },
      per_page: {
        keyword: 'per_page',
        type: 'input',
        label: '每页数量',
      },
      category_name: {
        keyword: 'name',
        type: 'input',
        label: '分类名称',
      },
      parent_id: {
        keyword: 'parent_id',
        type: 'input',
        label: 'oops!',
      },
    },
    option: {
      list: {},
      expired: true,
    },
    columns: {
      id: {
        title: 'ID',
        key: 'id',
        align: 'center',
        width: 80,
      },
      ico: {
        component: 'Ico',
      },
      desc: {
        title: '描述',
        key: 'desc',
        align: 'center',
      },
      category_name: {
        title: '分类名称',
        key: 'name',
        align: 'center',
        width: 80,
      },
      category_level: {
        title: '级别',
        key: 'level',
        align: 'center',
        width: 80,
      },
      category_switch: {
        component: 'categorySwitch',
      },
      category_action: {
        component: 'categoryAction',
      },
    },
  },
  mutations: {
    CHANGE_OPTION (state, option) {
      state.option = option
    },
  },
  actions: {
    async getOption ({ commit, state }) {
      if (!state.option.expired) return
      try {
        const { data: list, expired } = await Vue.http.get('/config/test')
        commit('CHANGE_OPTION', { list, expired })
      } catch (e) {
        console.log(e)
      }
    },
  },
}
