
export default function compiler (createElement, componentData, ...params) {
  if (Array.isArray(componentData)) {
    return componentData.map(c => compiler(createElement, c, ...params))
  }
  const { nodeType, nodeList, ...data } = componentData
  const [ components, value, option, error ] = params
  return createElement(
    components[nodeType],
    {
      props: {
        data,
        value,
        option,
        error,
      },
    },
    nodeList ? compiler(createElement, nodeList, ...params) : null
  )
}
