
// import Vue from 'vue'

import uploader from './uploader'
import note from './note'
import block from './block'
import item from './item'
import input from './input'
import inputNumber from './inputNumber'
import select from './select'
import checkboxGroup from './checkboxGroup'
import radioGroup from './radioGroup'
import datePicker from './datePicker'
import iSwitch from './iSwitch'
import error from './error'
import inputTag from './inputTag'
import rating from './rating'
import cascader from './cascader'
import timePicker from './timePicker'

export default {
  input,
  inputNumber,
  select,
  checkboxGroup,
  radioGroup,
  rating,
  datePicker,
  iSwitch,
  cascader,
  timePicker,
  uploader: {
    render (h) {
      return h(uploader, {
        props: {
          action: window.UPLOAD_URL,
          multiple: this.data.props.multiple || true,
          name: this.data.props.name || '',
          format: this.data.props.format || null,
          maxSize: this.data.props.maxSize || null,
          fileList: this.value[this.data.keyword] || [],
          type: this.data.props.type || 'image',
          text: this.data.props.text || '选择文件',
          max: this.data.props.max || 1,
          viewer: this.data.props.viewer || false,
        },
        on: {
          'on-change': e => {
            this.$hub.$emit(this.data.hub, {
              type: 'value',
              payload: Object.assign(this.value, {
                [this.data.keyword]: this.data.props.max > 1 ? e : e[0],
              }),
            })
          },
        },
      }, [
        h(
          error,
          {
            props: {
              text: this.error[this.data.keyword] || '',
            },
          }
        ),
      ])
    },
    props: ['data', 'value', 'option', 'error'],
  },
  note,
  block,
  item,
  inputTag,
}
