
import plugins from './plugins'

import CommonDetail from './components/detail'
import CommonFilter from './components/filter'
import CommonStack from './components/stack'
import CommonWrapper from './components/wrapper'
import CommonError from './components/detail/error'

const components = {
  CommonDetail,
  CommonFilter,
  CommonStack,
  CommonWrapper,
}

const install = (Vue, options = {}) => {
  Object.keys(plugins).forEach(key => {
    Vue.use(plugins[key])
  })
  Vue.use(plugins)
  Vue.component('error', CommonError)
  Object.keys(components).forEach(key => {
    Vue.component(key, {
      ...components[key],
      data () {
        return {
          ...components[key].data(),
          allActions: options.allActions,
        }
      },
    })
  })
}

const API = {
  install,
}

export default API
